#ifndef _SERIAL_H
#define _SERIAL_H

#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <termios.h>
#include <signal.h>
#include <stdio.h>

int SerialOpen(const char *dev_name,int baud);
int SerialRead(int m_comFd,unsigned char *buf,int sz,int timeout);
int SerialWrite(int m_comFd,const unsigned char *buf,int sz);
int SerialReadEx(int m_comFd,unsigned char *buf,int sz,int timeout);

#endif